#!/bin/bash
#export LANG="en_US.UTF-8"
PROJECT=/opt/tomcat/webapps/ftpprocess
#export JAVA_HOME=/usr/lib/jvm/default-jvm
export CLASSPATH=$JAVA_HOME/lib:$JAVA_HOME/jre/lib
CLASS_PATH=$CLASS_PATH:$PROJECT/bin
for NAME in $PROJECT/lib/*.jar
do
CLASS_PATH=$CLASS_PATH:$NAME
done

#$JAVA_HOME/bin/java -Did=ftprocess -XX:-UseGCOverheadLimit -Xmn512m -Xms1024m -Xmx1024m -XX:PermSize=512m -XX:MaxPermSize=1024m -cp $CLASS_PATH com.chinacreator.process.Main 2>&1 | /usr/local/sbin/cronolog $PROJECT/logs/ftpprocess.%Y%m%d.log > /dev/null 2>&1 &
$JAVA_HOME/bin/java -Dfile.encoding=utf-8 -Duser.timezone=GMT+08 -Did=ftprocess -XX:-UseGCOverheadLimit -Xmn512m -Xms1024m -Xmx1024m -XX:PermSize=512m -XX:MaxPermSize=1024m -cp $CLASS_PATH com.chinacreator.process.Main >>$PROJECT/logs/ftpprocess.log 2>&1


